import request from '@/utils/request'

// 查询申报模板信息列表
export function listTemplateInfo(query) {
  return request({
    url: '/system/templateInfo/list',
    method: 'get',
    params: query
  })
}

// 查询申报模板信息详细
export function getTemplateInfo(id) {
  return request({
    url: '/system/templateInfo/' + id,
    method: 'get'
  })
}

// 新增申报模板信息
export function addTemplateInfo(data) {
  return request({
    url: '/system/templateInfo',
    method: 'post',
    data: data
  })
}

// 修改申报模板信息
export function updateTemplateInfo(data) {
  return request({
    url: '/system/templateInfo',
    method: 'put',
    data: data
  })
}

// 删除申报模板信息
export function delTemplateInfo(id) {
  return request({
    url: '/system/templateInfo/' + id,
    method: 'delete'
  })
}
